layui.use([ 'element', 'table', 'laydate', 'form' ], function() {
	var $ = layui.jquery;
	var table = layui.table;
	var laydate = layui.laydate;
	var element = layui.element;
	var form = layui.form;

	var isBuyData = {
		0:'未成交',	
		1:'已成交'
	};
	// 生成表格
	table.render({
		elem 	: '#dataTable',
		url 	: '../../../getCustomerDatas', 
		toolbar : '#toolbarDemo',
		title 	: '客服数据表',// 导出文件名
		id 		: 'dataTableAll',
		// 开启分页
		// page	: true,
		page 	: {
			layout : [ 'count', 'prev', 'page', 'next', 'skip', 'limit' ]
		},
		limits	: [10,30,50,80,100,999],
		/*request : {
			'limitName' : 'pageSize' // 分页每页条数默认字段改为pageSize
		},*/
		where:{
			realname : '',
			wangwang : '',
			isBuy 	 : '',
			roleSearch :'',
			createDateBegin: '',
			role     : $("#role").val()
		},
		cellMinWidth : 80, // 全局定义常规单元格的最小宽度，layui 2.2.1 新增
		cols : [ [ {
			type : 'numbers',
			title : '序号',
			width : 50,
			fixed : "left"
		},{
			field : 'realname',
			align : 'center',
			width :  90,
			title : '姓名'
		},{
			field : 'role',
			title : '所属店铺',
			width :  135,
			align : 'center',
			templet:function(d){
				if(d.role != null && d.role != ""){
					var load = d.role.split(",");
					var roleStr = "";
					for (var i = 0; i < load.length; i++) {
						roleStr += roleData[load[i]] + "   ";
					}
					return roleStr
				}
				return ""
			}
		},{
			field : 'wangwang',
			align : 'center',
			width :  180,
			title : '客户旺旺'
		},{
			field : 'productExplain',
			width :  280,
			title : '产品说明'
		},{
			field : 'price',
			align : 'center',
			width :  80,
			sort  : 'true',
			title : '金额'
		},{
			field : 'isBuy',
			title : '是否成交',
			align : 'center',
			width : 130,
			templet : '#isBuyTpl'
		},{
			field : 'commentSelf',
			title : '未成交原因',
			width :  280
		},{
			field : 'commentManager',
			title : '店长跟踪情况汇报',
			width :  300,
			edit  : 'text',
		},{
			field : 'createDate',
			title : '创建时间',
			align : 'center',
			width :  180,
			templet : function(d) {
				return d.createDate != null ?layui.util.toDateString(d.createDate, "yyyy-MM-dd HH:mm:ss") : "";
			} 
		},{
			field : 'completeDate',
			title : '成交时间',
			align : 'center',
			width :  180,
			templet : function(d) {
				return d.completeDate != null ?layui.util.toDateString(d.completeDate, "yyyy-MM-dd HH:mm:ss") : "";
			} 
		},{
			// fixed : 'right',
			title : '操作',
			width :  180,
			align : 'center',
			//toolbar : '#barDemo'
			templet : function(d) {
				// 此处username是从jsp中带过来的
				// 登录的用户名和创建的用户名相同 <i class='layui-icon layui-icon-edit' style='color:white;font-size:10px'></i> <i class='layui-icon layui-icon-delete'>
				if(d.username == username){
					return "<a class='layui-btn' lay-event='edit'>编辑</a>"
							+
							"<a class='layui-btn layui-btn-danger' lay-event='del'>删除</a>"
				}else{
					return ""
				}
			} 
			
		} ] ],
		// 数据渲染完的回调
		done: function (res, curr, count) {
			// 解决操作栏因为内容过多换行问题
			$(".layui-table-main tr").each(function (index, val) {
				$($(".layui-table-fixed-l .layui-table-body tbody tr")[index]).height($(val).height());
				$($(".layui-table-fixed-r .layui-table-body tbody tr")[index]).height($(val).height());
			});
		},
		parseData : function(res) { //将原始数据解析成 table 组件所规定的数据
			return {
				"code" 	: 0, //解析接口状态
				"msg" 	: "", //解析提示文本
				"data" 	: res.data.list.list, //解析数据列表
				"count"	: res.data.list.total //解析数据长度
			};
		}
	});

	//点击查询按钮，重载表格
	$('#searchBtn').on('click', function() {
		table.reload('dataTableAll', {
			method : 'get',
			where : {
				realname : $("#realname").val(),
				wangwang : $("#wangwang").val(),
				isBuy 	 : $("#isBuy").val(),
				createDateBegin: $("#worldId").val(),
				roleSearch : $("#roleSearch").val(),
				role 	 : $("#role").val()
			},
			page : {
				curr : 1
			}
		});
		return false;
	});
	
	//监听【是否成交】状态按钮
	form.on('switch(isBuyDemo)', function(obj){
		// jsp传过来的数据是  id+用户名+状态  拼接的
		var rowData = obj.value.split("+");
		if(rowData[2] == "0"){
			$.ajax({
				url : "../../../changeIsBuy",
				dataType : 'json',
				data : {
					'id':rowData[0],
					'username':rowData[1]
				}, 
				type : 'post',
				success : function(data) {
					if (data.code == 200) {
						layer.msg('状态修改成功！',{icon:6,offset:"auto",time:1000});//提示框
				  	}else{
				  		layer.msg('只允许店长修改！',{icon:5,offset:"auto",time:2000});//提示框
				  	}
				}		
			})
		}else{
			layer.msg('【已成交】的订单，禁止再次修改！',{icon:5,offset:"auto",time:500});//提示框
		}
	})
	
	// 监听头部工作栏的 新增
	table.on('toolbar(dataTable)', function(obj) {
		switch (obj.event) {
		case 'add':
			layer.open({
				type : 2,
				title : "添加数据",
				fix: false, //不固定
	    		maxmin: true,
	    		skin:'layui-layer-molv',
				area : [ '100%', '100%' ],
				content : './addCustomerData.jsp',
			});
			break;
		};
	});

	// 监听 表内后的修改
	table.on('tool(dataTable)', function(obj) {
		var data1 = obj.data;
		if (obj.event === 'edit') {
			layer.open({
				type : 2,
				title : "修改数据",
				area : [ '100%', '100%' ],
				skin:'layui-layer-molv',
				content : './updateCustomerData.jsp',
				success : function(layero, index) {
					var body = layer.getChildFrame('body', index);
					var iframeWin = window[layero.find('iframe')[0]['name']]; // 得到iframe页的窗口对象
					body.find('#id').val(data1.id);
					body.find('#wangwang').val(data1.wangwang);
					body.find('#role').val(data1.role);
					body.find('#ROLE').val(data1.role);//给不了下拉框，给input再赋值
					body.find('#price').val(data1.price);
					body.find('#productExplain').val(data1.productExplain);
					body.find('#commentSelf').val(data1.commentSelf);
				}
			});
		}else if (obj.event === 'del') {// 监听删除
			layer.confirm('确定要删除该数据么？',{icon:3,title:"提示"}, function(index){
	    	  	$.ajax({
	    			url:"../../../deleteCustomerData",
	    		  	data:{'id': data1.id},
	    			type:"post",
	    			//dataType:"json",
	    		  	success:function (data) {
	    			 	if (data.code == 200) {
	    			 		layer.msg('删除成功！',{icon:6,offset:"auto",time:1000});//提示框
					  	}else{
						    layer.msg('删除失败！',{icon:5,offset:"auto",time:1000});//提示框
					  	}
	    			 	setTimeout(function(){
	    			 		location.reload();//重新加载页面
						}, 1100);
	    		 	}  
	    	 	});  
	            return false; 
	     	});
		}
	});
	
	//监听单元格编辑
	table.on('edit(dataTable)', function(obj){
		var value = obj.value, //得到修改后的值
	    data = obj.data, //得到所在行所有键值
	    field = obj.field; //得到字段
		console.log(data)
	    $.ajax({
			url:"../../../updateRemarkById",
		  	data:{
		  		id: data.id, 
		  		value: value, 
		  		field: field,
		  		userId:data.username
		  	},
			type:"post",
		  	success:function (data) {
			 	if (data.code == 200) {
			 		layer.msg('修改成功！',{icon:6,offset:"auto",time:1000});//提示框
			  	}else{
				    layer.msg('修改失败！',{icon:5,offset:"auto",time:1000});//提示框
			  	}
		 	}  
	 	}); 
	});
});
